/* Modal style */
.modal {
    display: none;
    position: fixed;
    z-index: 10000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    padding-top: 100px;
}

.modal-content {
    background-color: #222222;
    margin: auto auto;
    min-width: 300px;
    max-width: 800px;
    width: 50%;
}

.modal-header {
    background-color: var(--blue);
    color: black;
    display: flex;
    flex-flow: row nowrap;
    font-size: var(--font-medium);
}

.modal-header h2 {
    flex: 1 1 auto;
    padding: 0.2em 0.4em;
}

.modal-header span {
    font-weight: bold;
    flex: 0 0 auto;
    padding: 0.2em 0.4em;
    border-left: 2px solid #222222;
}

.modal-header span:hover {
    background-color: var(--red);
    cursor: pointer;
}